# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mstak-interpret"
version = "0.1.9"
description = "Minimal Stak Scheme bytecode interpreter"
readme = "README.md"
keywords = [
    "interpreter",
    "language",
    "scheme",
]
license-file = "LICENSE"
repository = "https://github.com/raviqqe/stak"

[profile.dev]
panic = "abort"

[profile.release]
lto = true
codegen-units = 1
panic = "abort"

[dependencies.libc]
version = "0.2.153"
default-features = false

[dependencies.mstak-util]
version = "0.1.10"

[dependencies.stak-device]
version = "0.2.24"
features = ["libc"]

[dependencies.stak-primitive]
version = "0.2.25"

[dependencies.stak-vm]
version = "0.4.0"

[lints.clippy]
alloc_instead_of_core = "deny"
dbg_macro = "deny"
std_instead_of_alloc = "deny"
std_instead_of_core = "deny"
todo = "deny"
unimplemented = "deny"
use_self = "deny"
